void CreateHispaniolaCharacters(ref n)
{
	object chobj;
	ref ch;

	makeref(ch, chobj);

// Santo Domingo Port :

			// Soldier.
	ch.nation = SPAIN;
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "SD_soldier_01";
	ch.model = 1; // PB
	ch.sex = "man";
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Santo_Domingo_Port";
	ch.location.group = "goto";
	ch.location.locator = "goto23";
	ch.Dialog.Filename = "Isla Muelle soldier_dialog.c";
	ch.rank 	= 1;
	ch.nation = SPAIN;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.quest.meeting = "0";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "SPAIN_SOLDIERS");
	ch.greeting = "Gr_isla muelle soldier";
	AddGameCharacter(n, ch);

			// Soldier.
	ch.nation = SPAIN;
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "SD_soldier_02";
	ch.model = 2; // PB
	ch.sex = "man";
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Santo_Domingo_Port";
	ch.location.group = "goto";
	ch.location.locator = "goto24";
	ch.Dialog.Filename = "Isla Muelle soldier_dialog.c";
	ch.rank 	= 1;
	ch.nation = SPAIN;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.quest.meeting = "0";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "SPAIN_SOLDIERS");
	ch.greeting = "Gr_isla muelle soldier";
	AddGameCharacter(n, ch);

			// Patrol.
	ch.nation = SPAIN;
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "SD_patrol_01";
	ch.model = 4; // PB
	ch.sex = "man";
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Santo_Domingo_Port";
	ch.location.group = "goto";
	ch.location.locator = "goto22";
	ch.Dialog.Filename = "patrol_dialog.c";
	ch.rank 	= 1;
	ch.nation = SPAIN;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.quest.meeting = "0";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "SPAIN_SOLDIERS");
	ch.greeting = "Gr_Patrol";
	AddGameCharacter(n, ch);

			// Patrol.
	ch.nation = SPAIN;
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "SD_patrol_02";
	ch.model = 5; // PB
	ch.sex = "man";
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Santo_Domingo_Port";
	ch.location.group = "goto";
	ch.location.locator = "goto16";
	ch.Dialog.Filename = "patrol_dialog.c";
	ch.rank 	= 1;
	ch.nation = SPAIN;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "2";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.quest.meeting = "0";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "SPAIN_SOLDIERS");
	ch.greeting = "Gr_Patrol";
	AddGameCharacter(n, ch);

// Location: Santo_Domingo_town

			//Soldier near prison
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "SD_soldier_40";
	ch.model = 1; // PB
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Santo_Domingo_town";
	ch.location.group = "goto";
	ch.location.locator = "goto20";
	ch.Dialog.Filename = "Isla Muelle soldier_dialog.c";
	ch.rank 	= 1;
	ch.nation = SPAIN;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "5";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "SPAIN_SOLDIERS");
	ch.greeting = "Gr_isla muelle soldier";
	AddGameCharacter(n, ch);

			//Soldier near prison
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "SD_soldier_41";
	ch.model = 2; // PB
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Santo_Domingo_town";
	ch.location.group = "goto";
	ch.location.locator = "goto41";
	ch.Dialog.Filename = "Isla Muelle soldier_dialog.c";
	ch.rank 	= 1;
	ch.nation = SPAIN;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "4";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "SPAIN_SOLDIERS");
	ch.greeting = "Gr_isla muelle soldier";
	AddGameCharacter(n, ch);

			// Soldier near the entrance to the town from port
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname = "";
	ch.id		= "SD_soldier_03";
	ch.model = 3; // PB
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Santo_Domingo_town";
	ch.location.group = "goto";
	ch.location.locator = "goto8";
	ch.Dialog.Filename = "Isla Muelle soldier_dialog.c";
	ch.rank 	= 1;
	ch.nation = SPAIN;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "2";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "SPAIN_SOLDIERS");
	ch.greeting = "Gr_isla muelle soldier";
	AddGameCharacter(n, ch);

			// Soldier near the entrance to the town from port -- another one
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname = "";
	ch.id		= "SD_soldier_04";
	ch.model = 4; // PB
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Santo_Domingo_town";
	ch.location.group = "goto";
	ch.location.locator = "goto40";
	ch.Dialog.Filename = "Isla Muelle soldier_dialog.c";
	ch.rank 	= 1;
	ch.nation = SPAIN;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "SPAIN_SOLDIERS");
	ch.greeting = "Gr_isla muelle soldier";
	AddGameCharacter(n, ch);

			// Patrol
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname = "";
	ch.id		= "SD_patrol_03";
	ch.model = 5; // PB
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Santo_Domingo_town";
	ch.location.group = "goto";
	ch.location.locator = "goto4";
	ch.Dialog.Filename = "patrol_dialog.c";
	ch.rank 	= 1;
	ch.nation = SPAIN;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "4";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "SPAIN_SOLDIERS");
	ch.greeting = "Gr_Patrol";
	AddGameCharacter(n, ch);

			// Patrol
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname = "";
	ch.id		= "SD_patrol_04";
	ch.model = 6; // PB
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Santo_Domingo_town";
	ch.location.group = "goto";
	ch.location.locator = "goto27";
	ch.Dialog.Filename = "patrol_dialog.c";
	ch.rank 	= 1;
	ch.nation = SPAIN;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "4";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "SPAIN_SOLDIERS");
	ch.greeting = "Gr_Patrol";
	AddGameCharacter(n, ch);

			// Patrol
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname = "";
	ch.id		= "SD_patrol_41";
	ch.model = 1; // PB
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Santo_Domingo_town";
	ch.location.group = "goto";
	ch.location.locator = "goto17";
	ch.Dialog.Filename = "patrol_dialog.c";
	ch.rank 	= 1;
	ch.nation = SPAIN;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "4";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "SPAIN_SOLDIERS");
	ch.greeting = "Gr_Patrol";
	AddGameCharacter(n, ch);

			// Soldier near the exit from town
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname = "";
	ch.id		= "SD_soldier_05";
	ch.model = 2; // PB
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Santo_Domingo_town";
	ch.location.group = "goto";
	ch.location.locator = "goto35";
	ch.Dialog.Filename = "Isla Muelle soldier_dialog.c";
	ch.rank 	= 1;
	ch.nation = SPAIN;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "SPAIN_SOLDIERS");
	ch.greeting = "Gr_isla muelle soldier";
	AddGameCharacter(n, ch);

			// Soldier near the the exit from town -- another one
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname = "";
	ch.id		= "SD_soldier_06";
	ch.model = 3; // PB
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Santo_Domingo_town";
	ch.location.group = "goto";
	ch.location.locator = "goto36";
	ch.Dialog.Filename = "Isla Muelle soldier_dialog.c";
	ch.rank 	= 1;
	ch.nation = SPAIN;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "SPAIN_SOLDIERS");
	ch.greeting = "Gr_isla muelle soldier";
	AddGameCharacter(n, ch);

			// Soldier near the 2nd exit from town
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname = "";
	ch.id		= "SD_soldier_07";
	ch.model = 4; // PB
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Santo_Domingo_town";
	ch.location.group = "goto";
	ch.location.locator = "goto22";
	ch.Dialog.Filename = "Isla Muelle Soldier_dialog.c";
	ch.rank 	= 1;
	ch.nation = SPAIN;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "2";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "SPAIN_SOLDIERS");
	ch.greeting = "Gr_isla muelle Soldier";
	AddGameCharacter(n, ch);

			// Soldier near the the 2nd exit from town -- another one
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname = "";
	ch.id		= "SD_soldier_08";
	ch.model = 5; // PB
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Santo_Domingo_town";
	ch.location.group = "goto";
	ch.location.locator = "goto39";
	ch.Dialog.Filename = "Isla Muelle Soldier_dialog.c";
	ch.rank 	= 1;
	ch.nation = SPAIN;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "SPAIN_SOLDIERS");
	ch.greeting = "Gr_isla muelle Soldier";
	AddGameCharacter(n, ch);

// Location: Santo_Dominguo_shipyard

			// Teodinus Serrano  Storeman2.
	ch.nation = SPAIN;
	ch.old.name = "Teodinus";
	ch.old.lastname = "Serrano";
	ch.name 	= TranslateString("","Teodinus");
	ch.lastname 	= TranslateString("","Serrano");
	ch.id		= "Teodinus Serrano";
	ch.model = "Storeman2";
	ch.sex = "man";
	ch.location	= "Santo_Domingo_Shipyard";
	ch.location.group = "sit";
	ch.location.locator = "sit1";
	ch.Dialog.Filename = "Teodinus Serrano_dialog.c";
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetHuberType(ch);
	LAi_group_MoveCharacter(ch, "SPAIN_CITIZENS");
	ch.greeting = "Gr_esteban castillo";
	AddGameCharacter(n, ch);

// Location: Santo_Dominguo_Tavern

			//Rodrigo Ramos - трактирщик
	ch.old.name = "Rodrigo";
	ch.old.lastname = "Ramos";
	ch.name 	= TranslateString("","Rodrigo");
	ch.lastname 	= TranslateString("","Ramos");
	ch.id		= "Rodrigo Ramos";
	ch.model	= "Napitan";
	ch.headmodel = "h_Napitan";
	ch.sex = "man";
	ch.location	= "Santo_Domingo_Tavern";
	ch.location.group = "merchant";
	ch.location.locator = "goto1";
	ch.Dialog.Filename = "Rodrigo Ramos_dialog.c";
	ch.greeting = "Gr_Rodrigo Ramos";
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.work = "";
	LAi_SetBarmanType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "SPAIN_CITIZENS");
	AddGameCharacter(n, ch);

// KK -->
		// Santo_Domingo_officiant
	ch.old.name = "Maria";
	ch.old.lastname = "Delgado";
	ch.name = TranslateString("","Maria");
	ch.lastname = TranslateString("","Delgado");
	ch.id		= "Santo_Domingo_officiant";
	ch.model	= "towngirl2";
	ch.sex = "woman";
	ch.sound_type = "female_citizen";
	ch.location	= "Santo_Domingo_tavern";
	ch.location.group = "goto";
	ch.location.locator = "goto5";
// KK -->
	ch.tavern.location = ch.location;
	ch.tavern.location.group = ch.location.group;
	ch.tavern.location.locator = ch.location.locator;
	ch.resurrection.location = "Santo_Domingo_Tavern_upstairs";
	ch.resurrection.shore = "Hispaniola_shore_04";
// <-- KK
	ch.Dialog.Filename = "Eng_Officiant_dialog.c";
	ch.greeting = "Gr_eng_officiant";
	ch.nation = SPAIN;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	ch.quest.sex = 0;
	ch.sex.time = 0;
	LAi_SetWaitressType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "SPAIN_CITIZENS");
	AddGameCharacter(n, ch);

			// governor
	ch.old.name = "Salvador";
	ch.old.lastname = "Allende";
	ch.name = TranslateString("","Salvador");
	ch.lastname = TranslateString("","Allende");
	ch.id		= "Salvador Allende";
	ch.model = "hub_spa3";
	ch.sex = "man";
	ch.location	= "Santo_Domingo_townhall";
	ch.location.group = "sit";
	ch.location.locator = "sit1";
	ch.Dialog.Filename = "Salvador Allende_dialog.c";
	ch.nation = SPAIN;
	ch.rank 	= 1;
	ch.reputation = "60";
	ch.experience = "0";
	ch.skill.Leadership = "6";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "5";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.quest.meeting = "0";
	LAi_RemoveLoginTime(ch);
	LAi_SetHuberType(ch);
	LAi_group_MoveCharacter(ch, "SPAIN_CITIZENS");
	ch.greeting = "Gr_christofor manuel de alencar";
	if (CAPTURE_COLONIES == 1) {
		ch.nation.n0.name = "John";
		ch.nation.n0.lastname = "Hugh";
		ch.nation.n0.model = "huber_eng";
		ch.nation.n0.sex = "man";
		ch.nation.n0.greeting = "Gr_Robert Christopher Silehard";
		ch.nation.n1.name = "Madelaine";
		ch.nation.n1.lastname = "D'Ogeron";
		ch.nation.n1.model = "towngirl3";
		ch.nation.n1.sex = "woman";
		ch.nation.n1.greeting = "Gr_Sabine Matton";
		ch.nation.n2.name = ch.old.name;
		ch.nation.n2.lastname = ch.old.lastname;
		ch.nation.n2.model = ch.model;
		ch.nation.n2.sex = ch.sex;
		ch.nation.n2.greeting = ch.greeting;
		ch.nation.n4.name = "Erazmus";
		ch.nation.n4.lastname = "Caverro";
		ch.nation.n4.model = "Nobleman";
		ch.nation.n4.sex = "man";
		ch.nation.n4.greeting = "Gr_Reynard Grueneveldt";
		ch.nation.n5.name = "Vasco";
		ch.nation.n5.lastname = "Masquez";
		ch.nation.n5.model = "huber_por";
		ch.nation.n5.sex = "man";
		ch.nation.n5.greeting = "Gr_Jacinto Arcibaldo Barreto";
	}
	AddGameCharacter(n, ch);
// <-- KK

// Tortuga Port :

			//pirate Soldier
	ch.old.name = "Town guard";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Town guard");
	ch.lastname 	= "";
	ch.id		= "Tor_soldier_1";
	ch.model	= "pirat4";
	ch.sound_type = "pirate";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	GiveItem2Character(ch, "pistol1");
	ch.equip.gun = "pistol1";
	ch.location	= "tortuga_port";
	ch.location.group = "goto";
	ch.location.locator = "goto23";
	ch.Dialog.Filename = "QC citizen_dialog.c";
	ch.rank 	= 1;
	ch.nation = PIRATE;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "5";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "TORTUGA_SOLDIERS");
	ch.greeting = "Gr_QC Citizen";
	AddGameCharacter(n, ch);

			//pirate Soldier
	ch.old.name = "Town guard";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Town guard");
	ch.lastname 	= "";
	ch.id		= "Tor_soldier_2";
	ch.model	= "pirat1";
	ch.sound_type = "pirate";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, "blade4");
	ch.equip.blade = "blade4";
	ch.location	= "Tortuga_port";
	ch.location.group = "goto";
	ch.location.locator = "goto21";
	ch.Dialog.Filename = "QC citizen_dialog.c";
	ch.rank 	= 1;
	ch.nation = PIRATE;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "TORTUGA_SOLDIERS");
	ch.greeting = "Gr_QC Citizen";
	AddGameCharacter(n, ch);

			//Patrol
	ch.old.name = "Town guard";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Town guard");
	ch.lastname 	= "";
	ch.id		= "Tor_patrol_1";
	ch.model	= "mongol";
	ch.sound_type = "pirate";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, "blade4");
	ch.equip.blade = "blade4";
	ch.location	= "Tortuga_port";
	ch.location.group = "goto";
	ch.location.locator = "goto18";
	ch.Dialog.Filename = "patrol_dialog.c";
	ch.rank 	= 1;
	ch.nation = PIRATE;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "TORTUGA_SOLDIERS");
	ch.greeting = "Gr_QC Citizen";
	AddGameCharacter(n, ch);

			//Patrol
	ch.old.name = "Town guard";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Town guard");
	ch.lastname 	= "";
	ch.id		= "Tor_patrol_2";
	ch.model	= "fawn";
	ch.sound_type = "pirate";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Tortuga_port";
	ch.location.group = "goto";
	ch.location.locator = "goto12";
	ch.Dialog.Filename = "patrol_dialog.c";
	ch.rank 	= 1;
	ch.nation = PIRATE;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "4";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "TORTUGA_SOLDIERS");
	ch.greeting = "Gr_QC Citizen";
	AddGameCharacter(n, ch);
 
		
	ch.old.name = "William";
	ch.old.lastname = "Neal";
	ch.name 	= TranslateString("","William");
	ch.lastname = TranslateString("","Neal");
	ch.id		= "William Neal";
	ch.model	= "pirat7";
	ch.headmodel = "h_pirat7";
	ch.sound_type = "pirate";
	ch.sex = "man";
	GiveItem2Character(ch, "blade20");
	ch.equip.blade = "blade20";
	GiveItem2Character(ch, "pistol7");
	ch.equip.gun = "pistol7";
	ch.location	= "Tortuga_port";
	ch.location.group = "goto";
	ch.location.locator = "goto5";
	ch.Dialog.Filename = "William Neal_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 10;
	ch.reputation = "20";
	ch.experience = "5000"		//chr.experience;
	ch.skill.Leadership = "6";
	ch.skill.Fencing = "7";
	ch.skill.Sailing = "6";
	ch.skill.Accuracy = "6";
	ch.skill.Cannons = "5";
	ch.skill.Grappling = "4";
	ch.skill.Repair = "5";
	ch.skill.Defence = "7";
	ch.skill.Commerce = "5";
	ch.skill.Sneak = "6";
	ch.money = "1000";
	ch.perks.list.BasicDefense = true;
	ch.perks.list.AdvancedDefense = true;
	ch.perks.list.SwordplayProfessional = true;
	ch.perks.list.CriticalHit = true;
	ch.perks.list.Gunman = true;
	ch.perks.list.ProfessionalGunman = true;
	ch.perks.list.HullDamageUp = true;
	ch.perks.list.CrewDamageUp = true;
	ch.perks.list.BasicBattleState = true;
	ch.perks.list.BasicDefense = true;
	ch.perks.list.AdvancedDefense = true;
	ch.perks.list.ShipSpeedUp = true;
	ch.perks.list.LightRepair = true;
	ch.perks.list.SharedExperience = true;
	ch.Ship.Name = "Spider";
	ch.Ship.Type = "Sloop1";
	ch.Ship.Cannons.Type = CANNON_TYPE_CULVERINE_LBS16;
	ch.ship.cargo.goods.BALLS = 1000;
	ch.ship.cargo.goods.GRAPES = 500;
	ch.ship.cargo.goods.KNIPPELS = 500;
//	ch.ship.cargo.goods.bombs = 1000;	// TIH done by setbaseship 7-7-06
	ch.Ship.Stopped = true;
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetWarriorType(ch);
	LAi_warrior_DialogEnable(ch, true);
	//LAi_SetSitType(ch);
	LAi_SetHP(ch, 200.0, 200.0);
	LAi_NoRebirthEnable(ch);
	ch.greeting = "Gr_Rys Bloom";
	LAi_group_MoveCharacter(ch, "TORTUGA_CITIZENS");
	AddGameCharacter(n, ch);

// Tortuga : town part1

			// Soldier
	ch.old.name = "Town guard";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Town guard");
	ch.lastname 	= "";
	ch.id		= "Tor_soldier_3";
	ch.model = "Chameleon";
	ch.sex = "man";
	ch.sound_type = "pirate";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	GiveItem2Character(ch, "pistol1");
	ch.equip.gun = "pistol1";
	ch.location	= "Tortuga_port";
	ch.location.group = "soldiers";
	ch.location.locator = "soldier1";
	ch.Dialog.Filename = "QC citizen_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "50";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.quest.meeting = "0";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "TORTUGA_SOLDIERS");
	ch.greeting = "Gr_QC Citizen";
	AddGameCharacter(n, ch);

			// Soldier
	ch.old.name = "Town guard";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Town guard");
	ch.lastname 	= "";
	ch.id		= "Tor_soldier_4";
	ch.model = "bocman4";
	ch.sex = "man";
	ch.sound_type = "pirate";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	GiveItem2Character(ch, "pistol1");
	ch.equip.gun = "pistol1";
	ch.location	= "Tortuga_port";
	ch.location.group = "soldiers";
	ch.location.locator = "soldier2";
	ch.Dialog.Filename = "QC citizen_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 3;
	ch.reputation = "50";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "4";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.quest.meeting = "0";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "TORTUGA_SOLDIERS");
	ch.greeting = "Gr_QC Citizen";
	AddGameCharacter(n, ch);

			// Soldier
	ch.old.name = "Town guard";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Town guard");
	ch.lastname 	= "";
	ch.id		= "Tor_soldier_5";
	ch.model = "blackman";
	ch.sex = "man";
	ch.sound_type = "pirate";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Tortuga_port";
	ch.location.group = "soldiers";
	ch.location.locator = "soldier3";
	ch.Dialog.Filename = "QC citizen_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "50";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "2";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.quest.meeting = "0";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "TORTUGA_SOLDIERS");
	ch.greeting = "Gr_QC Citizen";
	AddGameCharacter(n, ch);

			// Soldier
	ch.old.name = "Town guard";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Town guard");
	ch.lastname 	= "";
	ch.id		= "Tor_soldier_6";
	ch.model = "man1";
	ch.sex = "man";
	ch.sound_type = "pirate";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, "blade4");
	ch.equip.blade = "blade4";
	ch.location	= "Tortuga_port";
	ch.location.group = "soldiers";
	ch.location.locator = "soldier4";
	ch.Dialog.Filename = "QC citizen_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "50";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.quest.meeting = "0";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "TORTUGA_SOLDIERS");
	ch.greeting = "Gr_QC Citizen";
	AddGameCharacter(n, ch);

// Tortuga : Shipyard

			//Оуэн Мак Дори
	ch.old.name = "Adhemar";
	ch.old.lastname = "Bertillon";
	ch.name 	= TranslateString("","Adhemar");
	ch.lastname 	= TranslateString("","Bertillon");
	ch.id		= "Adhemar Bertillon";
	ch.model	= "capitan";
	ch.sex = "man";
	GiveItem2Character(ch, "blade2");
	ch.equip.blade = "blade2";
	GiveItem2Character(ch, "pistol2");
	ch.equip.gun = "pistol2";
	ch.location	= "Tortuga_shipyard";
	ch.location.group = "goto";
	ch.location.locator = "goto1";
	ch.Dialog.Filename = "Jakob Nickerson_dialog.c";
	ch.rank 	= 1;
	ch.nation = PIRATE;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	//LAi_SetHuberType(ch);
	LAi_SetWarriorType(ch);
	LAi_warrior_DialogEnable(ch, true);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "TORTUGA_SOLDIERS");
	ch.greeting = "Gr_Valentin Massoni";
	AddGameCharacter(n, ch);

			//Brennan Vickers: trader
	ch.old.name = "Brennan";
	ch.old.lastname = "Vickers";
	ch.name= TranslateString("","Brennan");
	ch.lastname= TranslateString("","Vickers");
	ch.id= "Brennan Vickers";
	ch.model= "sailor2";
	ch.sound_type = "seaman";
	ch.sex = "man";
	ch.location	= "Tortuga_port";
	ch.location.group = "merchant";
	ch.location.locator = "merchant2";
	ch.Dialog.Filename = "Item Trader_dialog.c";
	ch.Dialog.CurrentNode = "First time";
	ch.greeting = "trep\merchant\3.wav";
	ch.rank= 5;
	ch.nation = PIRATE;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "6";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "5";
	ch.skill.Sneak = "2";
	ch.money = "10";
	LAi_SetMerchantType(ch);
	LAi_group_MoveCharacter(ch, "TORTUGA_CITIZENS");

	AddGameCharacter(n, ch);

// Tortuga Tavern:

		//  John Adams -- Corsair3
	ch.old.name = "John";
	ch.old.lastname = "Adams";
	ch.name 	= TranslateString("","John");
	ch.lastname = TranslateString("","Adams");
	ch.id		= "John Adams";
	ch.model	= "Corsair3";
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Tortuga_Tavern";
	ch.location.group = "merchant";
	ch.location.locator = "goto1";
	ch.Dialog.Filename = "John Adams_dialog.c";
	ch.greeting = "Gr_Charles Windem";
	ch.nation = PIRATE;
	ch.rank 	= 62;
	ch.reputation = "None";
	ch.experience = "150000";
	ch.skill.Leadership = "3";
	ch.skill.Fencing = "8";
	ch.skill.Sailing = "5";
	ch.skill.Accuracy = "7";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "8";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "7";
	ch.money = "1";
	LAi_SetBarmanType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "TORTUGA_CITIZENS");
	AddGameCharacter(n, ch);

// KK -->
		// Tortuga_officiant
	ch.old.name = "Esther";
	ch.old.lastname = "Littlewood";
	ch.name = TranslateString("","Esther");
	ch.lastname = TranslateString("","Littlewood");
	ch.id		= "Tortuga_officiant";
	ch.model	= "towngirl2";
	ch.sex = "woman";
	ch.sound_type = "female_citizen";
	ch.location	= "Tortuga_tavern";
	ch.location.group = "goto";
	ch.location.locator = "goto5";
// KK -->
	ch.tavern.location = ch.location;
	ch.tavern.location.group = ch.location.group;
	ch.tavern.location.locator = ch.location.locator;
	ch.resurrection.location = "Tortuga_Tavern_upstairs";
// <-- KK
	ch.Dialog.Filename = "Eng_Officiant_dialog.c";
	ch.greeting = "Gr_eng_officiant";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	ch.quest.sex = 0;
	ch.sex.time = 0;
	LAi_SetWaitressType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "TORTUGA_CITIZENS");
	AddGameCharacter(n, ch);
// <-- KK

		
	ch.old.name = "Manuel";
	ch.old.lastname = "Salazar";
	ch.name 	= TranslateString("","Manuel");
	ch.lastname = TranslateString("","Salazar");
	ch.id		= "Manuel Salazar";
	ch.model	= "Shkiper";
	ch.headmodel = "h_Shkiper";
	ch.sound_type = "seaman";
	ch.sex = "man";
	GiveItem2Character(ch, "blade27");
	ch.equip.blade = "blade27";
	GiveItem2Character(ch, "pistol3");
	ch.equip.gun = "pistol3";
	ch.location	= "Tortuga_Tavern";
	ch.location.group = "sit";
	ch.location.locator = "sit3";
	ch.Dialog.Filename = "Habitue_dialog.c";
	ch.greeting = "Gr_QC Citizen";
	ch.nation = PIRATE;
	ch.rank 	= 60;
	ch.reputation = "none";
	ch.experience = "300000";
	ch.skill.Leadership = "10";
	ch.skill.Fencing = "10";
	ch.skill.Sailing = "7";
	ch.skill.Accuracy = "10";
	ch.skill.Cannons = "9";
	ch.skill.Grappling = "5";
	ch.skill.Repair = "4";
	ch.skill.Defence = "9";
	ch.skill.Commerce = "2";
	ch.skill.Sneak = "7";
	ch.money = "100";
	LAi_SetSitType(ch);
	LAi_group_MoveCharacter(ch, "TORTUGA_CITIZENS");
	AddGameCharacter(n, ch);

		
	ch.old.name = "Mary";
	ch.old.lastname = "Wood";
	ch.name 	= TranslateString("","Mary");
	ch.lastname = TranslateString("","Wood");
	ch.id		= "Mary Wood";
	ch.model	= "Ladyinred";
	ch.headmodel = "h_Ladyinred";
	ch.model.animation = "man_woman_sit";
	ch.sex = "woman";
	GiveItem2Character(ch, "blade24");
	ch.equip.blade = "blade24";
	GiveItem2Character(ch, "pistol5");
	ch.equip.gun = "pistol5";
	ch.location	= "Tortuga_Tavern";
	ch.location.group = "goto";
	ch.location.locator = "goto2";
	ch.Dialog.Filename = "Mary Wood_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 331;//MAXIMUS: real rank for her HP
	ch.reputation = "30";
	ch.experience = "20000"		//chr.experience;
	ch.skill.Leadership = "7";
	ch.skill.Fencing = "10";
	ch.skill.Sailing = "7";
	ch.skill.Accuracy = "8";
	ch.skill.Cannons = "9";
	ch.skill.Grappling = "5";
	ch.skill.Repair = "4";
	ch.skill.Defence = "10";
	ch.skill.Commerce = "2";
	ch.skill.Sneak = "8";
	ch.money = "500";
	ch.perks.list.BasicDefense = true;
	ch.perks.list.AdvancedDefense = true;
	ch.perks.list.SwordplayProfessional = true;
	ch.perks.list.CriticalHit = true;
	ch.perks.list.Gunman = true;
	ch.perks.list.ProfessionalGunman = true;
	ch.perks.list.Rush = true;
	ch.perks.list.IronWill = true;
	ch.perks.list.FastReload = true;
	ch.perks.list.HullDamageUp = true;
	ch.perks.list.CrewDamageUp = true;
	ch.perks.list.BasicBattleState = true;
	ch.perks.list.BasicDefense = true;
	ch.perks.list.AdvancedDefense = true;
	ch.perks.list.ShipSpeedUp = true;
	ch.perks.list.LightRepair = true;
	ch.perks.list.SharedExperience = true;
	ch.perks.list.BasicCommerce = true;
	ch.Ship.Name = "Morning Star";
	ch.Ship.Type = "Brigantina1";
	ch.Ship.Cannons.Type = CANNON_TYPE_CULVERINE_LBS24;
	ch.ship.cargo.goods.BALLS = 1000;
	ch.ship.cargo.goods.GRAPES = 500;
	ch.ship.cargo.goods.KNIPPELS = 500;
//	ch.ship.cargo.goods.bombs = 1000;	// TIH done by setbaseship 7-7-06
	ch.Ship.Stopped = true;
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetWarriorType(ch);
	LAi_warrior_DialogEnable(ch, true);
	LAi_SetHP(ch, 1500.0, 1500.0);
	LAi_NoRebirthEnable(ch);
	ch.greeting = "Gr_Ines Diaz";
	LAi_group_MoveCharacter(ch, "TORTUGA_CITIZENS");
	AddGameCharacter(n, ch);

// Port_au_Prince_Shipyard:

			//Benoit Bertignac
	ch.old.name = "Benoit";
	ch.old.lastname = "Bertignac";
	ch.name 	= TranslateString("","Benoit");
	ch.lastname 	= TranslateString("","Bertignac");
	ch.id		= "Benoit Bertignac";
	ch.model	= "Searcher";
	ch.headmodel = "h_Searcher";
	ch.sex = "man";
	ch.location	= "Port_au_Prince_shipyard";
	ch.location.group = "sit";
	ch.location.locator = "sit_1";
	ch.Dialog.Filename = "Benoit Bertignac_dialog.c";
	ch.rank 	= 1;
	ch.nation = FRANCE;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetHuberType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "FRANCE_CITIZENS");
	ch.greeting = "Gr_Benoit Bertignac";
	AddGameCharacter(n, ch);

// Port au Prince tavern:

			//Francois Chabert
	ch.old.name = "Francois";
	ch.old.lastname = "Chabert";
	ch.name 	= TranslateString("","Francois");
	ch.lastname 	= TranslateString("","Chabert");
	ch.id		= "Francois Chabert";
	ch.model = "Man1";
	ch.headmodel = "h_Man1";
	ch.sex = "man";
	ch.location	= "Port_au_Prince_tavern";
	ch.location.group = "merchant";
	ch.location.locator = "goto1";
	ch.Dialog.Filename = "Francois Chabert_dialog.c";
	ch.greeting = "Gr_Francois Chabert";
	ch.nation = FRANCE;
	ch.rank 	= 1;
	ch.reputation = "70";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "4";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.quest.meeting = "0";
	LAi_SetBarmanType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "FRANCE_CITIZENS"); // KK
	AddGameCharacter(n, ch);

// KK -->
		// Port_au_Prince_officiant
	ch.old.name = "Eliza";
	ch.old.lastname = "Girard";
	ch.name = TranslateString("","Eliza");
	ch.lastname = TranslateString("","Girard");
	ch.id		= "Port_au_Prince_officiant";
	ch.model	= "towngirl2";
	ch.sex = "woman";
	ch.sound_type = "female_citizen";
	ch.location	= "Port_au_Prince_tavern";
	ch.location.group = "goto";
	ch.location.locator = "goto5";
// KK -->
	ch.tavern.location = ch.location;
	ch.tavern.location.group = ch.location.group;
	ch.tavern.location.locator = ch.location.locator;
	ch.resurrection.location = "Port_au_Prince_Tavern_upstairs";
	ch.resurrection.shore = "Hispaniola_shore_01";
// <-- KK
	ch.Dialog.Filename = "Eng_Officiant_dialog.c";
	ch.greeting = "Gr_eng_officiant";
	ch.nation = FRANCE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	ch.quest.sex = 0;
	ch.sex.time = 0;
	LAi_SetWaitressType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "FRANCE_CITIZENS");
	AddGameCharacter(n, ch);

			// governor
	ch.old.name = "Isabelle";
	ch.old.lastname = "de Cussy";
	ch.name = TranslateString("","Isabelle");
	ch.lastname = TranslateString("","de Cussy");
	ch.id		= "Isabelle de Cussy";
	ch.model = "Liz1";
	ch.sex = "woman";
	ch.location	= "Port_au_Prince_townhall";
	ch.location.group = "goto";
	ch.location.locator = "goto2";
	ch.Dialog.Filename = "Isabelle de Cussy_dialog.c";
	ch.nation = FRANCE;
	ch.rank 	= 1;
	ch.reputation = "60";
	ch.experience = "0";
	ch.skill.Leadership = "6";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "5";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.quest.meeting = "0";
	LAi_RemoveLoginTime(ch);
	LAi_SetHuberStayType(ch);
	LAi_SetStayHuberPointWindow(ch, "goto", "goto7");
	LAi_SetStayHuberPointMap(ch, "goto", "goto9");
	LAi_group_MoveCharacter(ch, "FRANCE_CITIZENS");
	ch.greeting = "Gr_Estrella";
	if (CAPTURE_COLONIES == 1) {
		ch.nation.n0.name = "John";
		ch.nation.n0.lastname = "Hugh";
		ch.nation.n0.model = "huber_eng";
		ch.nation.n0.sex = "man";
		ch.nation.n0.greeting = "Gr_Robert Christopher Silehard";
		ch.nation.n4.name = ch.old.name;
		ch.nation.n4.lastname = ch.old.lastname;
		ch.nation.n4.model = ch.model;
		ch.nation.n4.sex = ch.sex;
		ch.nation.n4.greeting = ch.greeting;
		ch.nation.n2.name = "Miguel";
		ch.nation.n2.lastname = "de Espinoza";
		ch.nation.n2.model = "huber_spa";
		ch.nation.n2.sex = "man";
		ch.nation.n2.greeting = "Gr_Christofor Manuel de Alencar";
		ch.nation.n4.name = "Erazmus";
		ch.nation.n4.lastname = "Caverro";
		ch.nation.n4.model = "Nobleman";
		ch.nation.n4.sex = "man";
		ch.nation.n4.greeting = "Gr_Reynard Grueneveldt";
		ch.nation.n5.name = "Vasco";
		ch.nation.n5.lastname = "Masquez";
		ch.nation.n5.model = "huber_por";
		ch.nation.n5.sex = "man";
		ch.nation.n5.greeting = "Gr_Jacinto Arcibaldo Barreto";
	}
	AddGameCharacter(n, ch);
// <-- KK

		
	ch.old.name = "Marcel";
	ch.old.lastname = "Fasquel";
	ch.name 	= TranslateString("","Marcel");
	ch.lastname = TranslateString("","Fasquel");
	ch.id		= "Marcel Fasquel";
	ch.model	= "Sailor6";
	ch.headmodel = "h_Sailor6";
	ch.sound_type = "seaman";
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	GiveItem2Character(ch, "pistol3");
	ch.equip.gun = "pistol3";
	ch.location	= "Port_au_prince_Tavern";
	ch.location.group = "sit";
	ch.location.locator = "sit8";
	ch.Dialog.Filename = "Habitue_dialog.c";
	ch.nation = FRANCE;
	ch.rank 	= 10;
	ch.reputation = "none";
	ch.experience = "3000";
	ch.skill.Leadership = "8";
	ch.skill.Fencing = "4";
	ch.skill.Sailing = "7";
	ch.skill.Accuracy = "7";
	ch.skill.Cannons = "5";
	ch.skill.Grappling = "3";
	ch.skill.Repair = "4";
	ch.skill.Defence = "2";
	ch.skill.Commerce = "2";
	ch.skill.Sneak = "7";
	ch.money = "1000";
	LAi_SetSitType(ch);
	LAi_group_MoveCharacter(ch, "FRANCE_CITIZENS");
	ch.greeting = "Gr_frcrew member";
	AddGameCharacter(n, ch);

	///////////////////////////////////////////////////////////////////////////////////////////////
	// SOLDIERS
	///////////////////////////////////////////////////////////////////////////////////////////////
			//Soldier на входе в город
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "Port_au_Prince_soldier_01";
	ch.model = 2; // PB
	ch.sound_type = "soldier";
	ch.sex = "man";
	LAi_CharacterReincarnation(ch, true, false);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "hispaniola_port";
	ch.location.group = "goto";
	ch.location.locator = "goto12";
	ch.Dialog.Filename = "Falaise De Fleur Soldier_dialog.c";
	ch.nation = FRANCE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	GiveItem2Character(ch, BLADE_SABER);
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "FRANCE_SOLDIERS");
	LAi_CharacterReincarnation(ch, true, false);
	ch.greeting = "Gr_falaise de fleur soldier";
	AddGameCharacter(n, ch);

  			//Soldier на входе в город -- one more
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "Port_au_Prince_soldier_02";
	ch.model = 1; // PB
	LAi_CharacterReincarnation(ch, true, false);
	ch.sound_type = "soldier";
	ch.sex = "man";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "hispaniola_port";
	ch.location.group = "goto";
	ch.location.locator = "goto13";
	ch.Dialog.Filename = "Falaise De Fleur Soldier_dialog.c";
	ch.nation = FRANCE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "FRANCE_SOLDIERS");
	ch.greeting = "Gr_falaise de fleur soldier";
	AddGameCharacter(n, ch);

			//Patrol
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "Port_au_Prince_patrol_01";
	ch.model = 3; // PB
	LAi_CharacterReincarnation(ch, true, false);
	ch.sound_type = "soldier";
	ch.sex = "man";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "hispaniola_port";
	ch.location.group = "goto";
	ch.location.locator = "goto11";
	ch.Dialog.Filename = "Patrol_dialog.c";
	ch.nation = FRANCE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "2";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "FRANCE_SOLDIERS");
	ch.greeting = "Gr_Patrol";
	AddGameCharacter(n, ch);

			//Patrol
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "Port_au_Prince_patrol_02";
	ch.model = 4; // PB
	LAi_CharacterReincarnation(ch, true, false);
	ch.sound_type = "soldier";
	ch.sex = "man";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "hispaniola_port";
	ch.location.group = "goto";
	ch.location.locator = "goto5";
	ch.Dialog.Filename = "Patrol_dialog.c";
	ch.nation = FRANCE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "2";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "FRANCE_SOLDIERS");
	ch.greeting = "Gr_Patrol";
	AddGameCharacter(n, ch);

			//Soldier near the entrance from port
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "Port_au_Prince_soldier_03";
	ch.model = 5; // PB
	LAi_CharacterReincarnation(ch, true, false);
	ch.sound_type = "soldier";
	ch.sex = "man";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Port_au_Prince_town";
	ch.location.group = "goto";
	ch.location.locator = "goto28";
	ch.Dialog.Filename = "Falaise De Fleur Soldier_dialog.c";
	ch.nation = FRANCE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "FRANCE_SOLDIERS");
	ch.greeting = "Gr_falaise de fleur soldier";
	AddGameCharacter(n, ch);

			//Soldier near the entrance from port
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "Port_au_Prince_soldier_04";
	ch.model = 6; // PB
	ch.sound_type = "soldier";
	ch.sex = "man";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Port_au_Prince_town";
	ch.location.group = "goto";
	ch.location.locator = "goto29";
	ch.Dialog.Filename = "Falaise De Fleur Soldier_dialog.c";
	ch.nation = FRANCE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "FRANCE_SOLDIERS");
	ch.greeting = "Gr_falaise de fleur soldier";
	AddGameCharacter(n, ch);

			//Soldier near the residence
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "Port_au_Prince_soldier_05";
	ch.model = 2; // PB
	ch.sound_type = "soldier";
	ch.sex = "man";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Port_au_Prince_town";
	ch.location.group = "goto";
	ch.location.locator = "goto21";
	ch.Dialog.Filename = "Falaise De Fleur Soldier_dialog.c";
	ch.nation = FRANCE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "FRANCE_SOLDIERS");
	ch.greeting = "Gr_falaise de fleur soldier";
	AddGameCharacter(n, ch);

			//Soldier near the residence
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "Port_au_Prince_soldier_06";
	ch.model = 2; // PB
	ch.sound_type = "soldier";
	ch.sex = "man";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Port_au_Prince_town";
	ch.location.group = "goto";
	ch.location.locator = "goto22";
	ch.Dialog.Filename = "Falaise De Fleur Soldier_dialog.c";
	ch.nation = FRANCE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "FRANCE_SOLDIERS");
	ch.greeting = "Gr_falaise de fleur soldier";
	AddGameCharacter(n, ch);

			//Soldier near the entrance from jungle
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "Port_au_Prince_soldier_07";
	ch.model = 6; // PB
	ch.sound_type = "soldier";
	ch.sex = "man";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Port_au_Prince_town";
	ch.location.group = "goto";
	ch.location.locator = "goto19";
	ch.Dialog.Filename = "Falaise De Fleur Soldier_dialog.c";
	ch.nation = FRANCE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "FRANCE_SOLDIERS");
	ch.greeting = "Gr_falaise de fleur soldier";
	AddGameCharacter(n, ch);

			//Soldier near the entrance from jungle
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "Port_au_Prince_soldier_08";
	ch.model = 3; // PB
	ch.sound_type = "soldier";
	ch.sex = "man";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Port_au_Prince_town";
	ch.location.group = "goto";
	ch.location.locator = "goto20";
	ch.Dialog.Filename = "Falaise De Fleur Soldier_dialog.c";
	ch.nation = FRANCE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "FRANCE_SOLDIERS");
	ch.greeting = "Gr_falaise de fleur soldier";
	AddGameCharacter(n, ch);

			//Patrol
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "Port_au_Prince_patrol_03";
	ch.model = 2; // PB
	ch.sound_type = "soldier";
	ch.sex = "man";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Port_au_Prince_town";
	ch.location.group = "goto";
	ch.location.locator = "goto13";
	ch.Dialog.Filename = "Patrol_dialog.c";
	ch.nation = FRANCE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "2";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "FRANCE_SOLDIERS");
	ch.greeting = "Gr_Patrol";
	AddGameCharacter(n, ch);

			//Patrol
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "Port_au_Prince_patrol_04";
	ch.model = 6; // PB
	ch.sound_type = "soldier";
	ch.sex = "man";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Port_au_Prince_town";
	ch.location.group = "goto";
	ch.location.locator = "goto18";
	ch.Dialog.Filename = "Patrol_dialog.c";
	ch.nation = FRANCE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "2";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "FRANCE_SOLDIERS");
	ch.greeting = "Gr_Patrol";
	AddGameCharacter(n, ch);

			//Patrol
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "Port_au_Prince_patrol_05";
	ch.model = 5; // PB
	ch.sound_type = "soldier";
	ch.sex = "man";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Port_au_Prince_town";
	ch.location.group = "goto";
	ch.location.locator = "goto9";
	ch.Dialog.Filename = "Patrol_dialog.c";
	ch.nation = FRANCE;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "2";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "FRANCE_SOLDIERS");
	ch.greeting = "Gr_Patrol";
	AddGameCharacter(n, ch);

	ch.nation = PIRATE;
	ch.old.name = "Hendrick";
	ch.old.lastname = "Vanderdecken";
	ch.name 	= TranslateString("","Hendrick");
	ch.lastname 	= TranslateString("","Vanderdecken");
	ch.id		= "Hendrick Vanderdecken";
	ch.model = "Vanderdecken";
	ch.sex = "man";
	ch.location	= "Buccaneers_Camp";
	ch.location.group = "goto";
	ch.location.locator = "goto1";
	ch.Dialog.Filename = "Hendrick Vanderdecken_dialog.c";
	ch.rank 	= 100;
	ch.reputation = "None";
	ch.experience = "1000";
	ch.skill.Leadership = "10";
	ch.skill.Fencing = "10";
	ch.skill.Sailing = "10";
	ch.skill.Accuracy = "10";
	ch.skill.Cannons = "10";
	ch.skill.Grappling = "10";
	ch.skill.Repair = "10";
	ch.skill.Defence = "10";
	ch.skill.Commerce = "10";
	ch.skill.Sneak = "10";
	ch.money = "10";
	ch.greeting = "Gr_Lambrecht Fobes";
	LAi_SetPatrolType(ch);
	LAi_SetImmortal(ch, true);
	AddGameCharacter(n, ch);
}
